Bug 979781 - put default user in systemd-journal group
put default user in systemd-journal group
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cloud-init (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Garrett Holmstrom
Fedora Extras Quality Assurance
:
Depends On: 864623
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-30 09:10 EDT by Matthew Miller
Modified: 2013-09-19 16:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 19:15:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2013-06-30 09:10:16 EDT
$ journalctl 
Unprivileged users cannot access messages, unless persistent log storage is
enabled. Users in the 'systemd-journal' group may always access messages.

Systemd has to do everything its own way. Being in the wheel group isn't sufficient to access the journal logs, so we should also add the default user ('fedora', bz #971439) to systemd-journal. (And we should probably also remove it from 'adm', the previous group used by systemd for a similar purpose.)
Comment 1 Garrett Holmstrom 2013-07-02 19:00:44 EDT
I'm reluctant to do this before bug 864623 is fixed.  Showing authpriv messages to a non-root user by default is very much not desirable.
Comment 2 Fedora End Of Life 2013-09-16 12:45:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Garrett Holmstrom 2013-09-18 19:15:06 EDT
Unbeknownst to me, this was fixed in cloud-init for F19.
Comment 4 Matthew Miller 2013-09-19 16:24:30 EDT
Um, yeah. Very sorry about that "unbeknownst".

Note You need to log in before you can comment on or make changes to this bug.